Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.diagnostics
Class TaskReportRenderer

    java.lang.Object
      org.gradle.api.tasks.diagnostics.TextProjectReportRenderer
          org.gradle.api.tasks.diagnostics.TaskReportRenderer

All Implemented Interfaces:
  ProjectReportRenderer

    public class TaskReportRenderer

extends TextProjectReportRenderer

A `TaskReportRenderer` is responsible for rendering the model of a project task report.

Field Summary

Fields inherited from class org.gradle.api.tasks.diagnostics.TextProjectReportRenderer
`SEPARATOR`

Constructor Summary
`TaskReportRenderer()`
`TaskReportRenderer(java.lang.Appendable writer)`

Method Summary
`void` | `addDefaultTasks(java.util.List<java.lang.String> defaultTaskNames)` Writes the default task names for the current project.
`void` | `addRule(Rule rule)` Writes a rule for the current project.
`void` | `addTask(Task task)` Writes a task for the current project.
`void` | `completeProject(Project project)` Completes visiting a project.
`void` | `startProject(Project project)` Starts visiting a project.

Methods inherited from class org.gradle.api.tasks.diagnostics.TextProjectReportRenderer
`complete, getFormatter, getWriter, setOutputFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskReportRenderer

    public TaskReportRenderer()

### TaskReportRenderer

    public TaskReportRenderer(java.lang.Appendable writer)

Method Detail

### startProject

    public void startProject(Project project)

  Description copied from interface: `ProjectReportRenderer`
  Starts visiting a project.

  Specified by:
    `startProject` in interface `ProjectReportRenderer`
  Overrides:
    `startProject` in class `TextProjectReportRenderer`
  Parameters:
    `project` - The project, never null.

### completeProject

    public void completeProject(Project project)

  Description copied from interface: `ProjectReportRenderer`
  Completes visiting a project.

  Specified by:
    `completeProject` in interface `ProjectReportRenderer`
  Overrides:
    `completeProject` in class `TextProjectReportRenderer`
  Parameters:
    `project` - The project, never null.

### addDefaultTasks

    public void addDefaultTasks(java.util.List<java.lang.String> defaultTaskNames)

  Writes the default task names for the current project.

  Parameters:
    `defaultTaskNames` - The default task names (must not be null)

### addTask

    public void addTask(Task task)

  Writes a task for the current project.

  Parameters:
    `task` - The task

### addRule

    public void addRule(Rule rule)

  Writes a rule for the current project.

  Parameters:
    `rule` - The rule

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD